=== razorqt-config/CMakeLists.txt ===

add_subdirectory(src)
add_subdirectory(razor-config-mouse)
add_subdirectory(razor-config-appearance)
