=== razorqt-power/CMakeLists.txt ===
add_subdirectory(src)
add_subdirectory(razor-autosuspend)
