=== debian/changelog ===
razorqt (0.4.1-2) unstable; urgency=low

  * Dependencies:
    - Restric libudev-dev to [linux-any] (so it can be built on Hurd and
      KFreeBSD kernels/ports) (Closes: #695573)
    - Drop explicit dependency of libqtxdg0 on libqt4-xml
    - Add dependency of razorqt-power on upower
    - Add dependency of razorqt-policykit-agent on policykit-1
    - Add dependency of razorqt-data on oxygen-icon-theme or hicolor-icon-theme,
      and recommends menu-xdg
    Thanks Pino Toscano for report, patch, suggestions and testing.
  * Add "razor-session" as "x-session-manager" alternative
  * Document in debian/copyright several files apparently under GPL-2 only
    license.  Thanks Luca Falavigna (Closes: #695628).
  * Improve "watch" file

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Tue, 11 Dec 2012 19:49:12 +0000

razorqt (0.4.1-1~exp1) experimental; urgency=low

  * Initial release (Closes: #652745)

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Sat, 21 Jul 2012 18:42:37 +0100
