=== debian/control ===
Source: razorqt
Section: x11
Priority: optional
Maintainer: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 9~),
               dpkg-dev (>= 1.16.1~),
               cmake (>= 2.6),
               pkg-config,
               libmagic-dev,
               libpolkit-agent-1-dev,
               libpolkit-qt-1-dev,
               libqt4-dev (>= 4.5.1),
               libudev-dev [linux-any],
               libxrender-dev,
               libxcomposite-dev,
               libxdamage-dev,
               libxcursor-dev,
               zlib1g-dev
Standards-Version: 3.9.3
Homepage: http://razor-qt.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/razorqt.git
Vcs-Git: git://anonscm.debian.org/collab-maint/razorqt.git


Package: razorqt
Architecture: all
Section: metapackages
Depends: ${misc:Depends},
	 razorqt-appswitcher (>= ${binary:Version}),
         razorqt-config (>= ${binary:Version}),
         razorqt-desktop (>= ${binary:Version}),
         razorqt-panel (>= ${binary:Version}),
         razorqt-policykit-agent (>= ${binary:Version}),
         razorqt-runner (>= ${binary:Version}),
         razorqt-session (>= ${binary:Version}),
	 openbox | kde-window-manager | x-window-manager
Recommends: x-display-manager, openbox
Description: Lightweight desktop environment, all components
 Razor-qt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies.  It has been tailored for users who value simplicity, speed, and
 an intuitive interface.  Unlike most desktop environments, Razor-qt also works
 fine with less powerful machines.
 .
 While still a new project, Razor-qt already contains the key DE components
 (components can be used separately, not all of them need to be used at once):
 .
  * Panel
  * Desktop
  * Application launcher
  * Settings center
  * Sessions
 .
 Razor-qt works with various WMs.  Most of Razor developers use Openbox, but
 other modern WMs can be used, such as fwwm2 to kwin.
 .
 This metapackage provides all the components of Razor-qt.


Package: libqtxdg0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Implementation of the XDG Specifications for Qt, libs
 This library implements functions of the XDG Specifications in Qt.  It is part
 of Razor-qt.
 .
 This package provides the shared library.

Package: libqtxdg0-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libqtxdg0 (= ${binary:Version})
Description: Implementation of the XDG Specifications for Qt, development package
 This library implements functions of the XDG Specifications in Qt.  It is part
 of Razor-qt.
 .
 This package provides the development files.


Package: librazorqt0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqtxdg0 (= ${binary:Version})
Suggests: razorqt
Description: Shared libraries for Razor-qt desktop environment
 Razor-qt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies.  It has been tailored for users who value simplicity, speed, and
 an intuitive interface.  Unlike most desktop environments, Razor-qt also works
 fine with less powerful machines.
 .
 This package contains the shared libraries needed by the Razor-qt desktop
 environment.

Package: librazorqt0-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqtxdg0-dev (= ${binary:Version})
Description: Shared libraries for Razor-qt desktop environment, development package
 Razor-qt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies.  It has been tailored for users who value simplicity, speed, and
 an intuitive interface.  Unlike most desktop environments, Razor-qt also works
 fine with less powerful machines.
 .
 This package provides the development files for the libraries that are shared
 amongst the various components of Razor-qt.


Package: razorqt-data
Architecture: all
Depends: ${misc:Depends},
         oxygen-icon-theme | hicolor-icon-theme
Recommends: menu-xdg
Suggests: razorqt
Description: Shared data files for Razor-qt desktop environment
 Razor-qt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies.  It has been tailored for users who value simplicity, speed, and
 an intuitive interface.  Unlike most desktop environments, Razor-qt also works
 fine with less powerful machines.
 .
 This package contains the architecture-independent shared data files needed by
 the Razor-qt desktop environment.

Package: razorqt-appswitcher
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqtxdg0 (= ${binary:Version}),
         librazorqt0 (= ${binary:Version}),
         razorqt-data (= ${source:Version})
Recommends: razorqt-config
Suggests: razorqt
Description: Application switcher component for Razor-qt desktop environment
 Razor-qt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies.  It has been tailored for users who value simplicity, speed, and
 an intuitive interface.  Unlike most desktop environments, Razor-qt also works
 fine with less powerful machines.
 .
 This package provides the application switcher component.

Package: razorqt-config
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqtxdg0 (= ${binary:Version}),
         librazorqt0 (= ${binary:Version}),
         razorqt-data (= ${source:Version})
Suggests: razorqt
Description: Configuration component for Razor-qt desktop environment
 Razor-qt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies.  It has been tailored for users who value simplicity, speed, and
 an intuitive interface.  Unlike most desktop environments, Razor-qt also works
 fine with less powerful machines.
 .
 This package provides the user interface to configure other components.

Package: razorqt-desktop
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqtxdg0 (= ${binary:Version}),
         librazorqt0 (= ${binary:Version}),
         razorqt-data (= ${source:Version})
Recommends: razorqt-config
Suggests: razorqt
Description: Desktop component for Razor-qt desktop environment
 Razor-qt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies.  It has been tailored for users who value simplicity, speed, and
 an intuitive interface.  Unlike most desktop environments, Razor-qt also works
 fine with less powerful machines.
 .
 This package provides the desktop component (displaying icons, clock and other
 widgets in the desktop background).

Package: razorqt-panel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqtxdg0 (= ${binary:Version}),
         librazorqt0 (= ${binary:Version}),
         razorqt-data (= ${source:Version})
Recommends: razorqt-config
Suggests: razorqt
Description: Panel component for Razor-qt desktop environment
 Razor-qt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies.  It has been tailored for users who value simplicity, speed, and
 an intuitive interface.  Unlike most desktop environments, Razor-qt also works
 fine with less powerful machines.
 .
 This package provides the panel component, providing a taskbar (list of all
 opened windows), desktop switcher, launchbar, clock, etc.

Package: razorqt-policykit-agent
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqtxdg0 (= ${binary:Version}),
         librazorqt0 (= ${binary:Version}),
         razorqt-data (= ${source:Version}),
         policykit-1
Suggests: razorqt
Description: PolicyKit agent component for Razor-qt desktop environment
 Razor-qt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies.  It has been tailored for users who value simplicity, speed, and
 an intuitive interface.  Unlike most desktop environments, Razor-qt also works
 fine with less powerful machines.
 .
 This package provides the PolicyKit agent component.

Package: razorqt-power
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqtxdg0 (= ${binary:Version}),
         librazorqt0 (= ${binary:Version}),
         razorqt-data (= ${source:Version}),
         upower
Recommends: razorqt-config
Suggests: razorqt
Description: Power manager component for Razor-qt desktop environment
 Razor-qt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies.  It has been tailored for users who value simplicity, speed, and
 an intuitive interface.  Unlike most desktop environments, Razor-qt also works
 fine with less powerful machines.
 .
 This package provides the power manager component.

Package: razorqt-runner
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqtxdg0 (= ${binary:Version}),
         librazorqt0 (= ${binary:Version}),
         razorqt-data (= ${source:Version})
Recommends: razorqt-config
Suggests: razorqt
Description: Application launcher component for Razor-qt desktop environment
 Razor-qt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies.  It has been tailored for users who value simplicity, speed, and
 an intuitive interface.  Unlike most desktop environments, Razor-qt also works
 fine with less powerful machines.
 .
 This package provides the application launcher component.

Package: razorqt-session
Architecture: any
Provides: x-session-manager
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqtxdg0 (= ${binary:Version}),
         librazorqt0 (= ${binary:Version}),
         razorqt-data (= ${source:Version}),
	 xdg-utils
Recommends: razorqt-config
Suggests: razorqt
Description: Session manager component for Razor-qt desktop environment
 Razor-qt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies.  It has been tailored for users who value simplicity, speed, and
 an intuitive interface.  Unlike most desktop environments, Razor-qt also works
 fine with less powerful machines.
 .
 This package provides the session manager component.
